part of twilio_chat_plugin;

class Message {
  String _author;

  DateTime _dateCreated;

  String _memberSID;

  String _messageBody;

  String _sid;

  String get author => _author;

  DateTime get dateCreated => _dateCreated;

  String get memberSID => _memberSID;

  String get messageBody => _messageBody;

  String get sid => _sid;

  Message.fromJson(Map<String, dynamic> json) {
    _author = json['author'];
    _memberSID = json['memberSID'];
    if (json['dateCreated'] != null && json['dateCreated'] != "") {
      _dateCreated = datetimeFormat.parse(json['dateCreated']);
    }
    _messageBody = json['messageBody'];
    _sid = json['sid'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['author'] = this.author;
    data['dateCreated'] = datetimeFormat.format(this._dateCreated);
    data['memberSID'] = this.memberSID;
    data['messageBody'] = this.messageBody;
    data['sid'] = this.sid;
    return data;
  }
}
