import 'package:flutter/material.dart';
import 'package:twilio_chat_plugin_example/pages/login.dart';

import 'debug.dart';

void main() {
  Debug.enabled = true;
  WidgetsFlutterBinding.ensureInitialized();
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        theme: ThemeData(
            primaryColor: Color(0xff075e54),
            accentColor: Color(0xff25d366), //FBA background color
            indicatorColor: Colors.white, // selected tab bottom border
            primaryColorDark:
                Color(0xFF128C7E), // CircleAvatar background color
            primaryIconTheme: IconThemeData(
              color: Colors.white,
            ),
            textTheme: TextTheme(
              title: TextStyle(color: Colors.white),
            ),
            iconTheme: IconThemeData(
              color: Colors.white,
            ),
            accentIconTheme: IconThemeData(
              color: Colors.white, // FAB icon color
            )),
        home: LoginPage());
  }
}
